<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.propertyManagement</groupId>
        <artifactId>propertymanagement-vue-plus</artifactId>
        <version>4.8.2</version>
    </parent>

    <artifactId>propertymanagement-business</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>weixin-java-miniapp</artifactId>
            <version>4.7.0</version>
        </dependency>

        <!--ToolKit-敏感词过滤-->
        <dependency>
            <groupId>com.siashan</groupId>
            <artifactId>toolkit-sensitive</artifactId>
            <version>1.3.4</version>
        </dependency>

        <dependency>
            <groupId>com.tencentcloudapi</groupId>
            <artifactId>tencentcloud-sdk-java-sms</artifactId>
            <!-- 如 CVM 产品包：tencentcloud-sdk-java-cvm -->
            <!-- 请到 maven 官网查询 sdk 的所有版本，例如 cvm 的产品包链接为 https://central.sonatype.com/artifact/com.tencentcloudapi/tencentcloud-sdk-java-cvm/versions -->
            <version>3.1.1124</version>
        </dependency>

        <!-- Token生成与解析-->
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 通用工具-->
        <dependency>
            <groupId>com.propertyManagement</groupId>
            <artifactId>propertymanagement-common</artifactId>
        </dependency>

        <!-- pay功能模块 -->
        <dependency>
            <groupId>com.propertyManagement</groupId>
            <artifactId>propertymanagement-pay</artifactId>
        </dependency>

        <!-- framework功能模块 -->
        <dependency>
            <groupId>com.propertyManagement</groupId>
            <artifactId>propertymanagement-framework</artifactId>
        </dependency>

        <!-- system功能模块 -->
        <dependency>
            <groupId>com.propertyManagement</groupId>
            <artifactId>propertymanagement-system</artifactId>
        </dependency>

    </dependencies>

</project>
